USN-6284-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6284-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6284-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6284-1
Related
  • CVE-2020-36691
  • CVE-2022-0168
  • CVE-2022-1184
  • CVE-2022-27672
  • CVE-2022-4269
  • CVE-2023-0590
  • CVE-2023-1611
  • CVE-2023-1855
  • CVE-2023-1990
  • CVE-2023-2124
  • CVE-2023-2194
  • CVE-2023-28466
  • CVE-2023-30772
  • CVE-2023-3111
  • CVE-2023-3141
  • CVE-2023-33203
Published
2023-08-11T16:07:44.132434Z
Modified
2023-08-11T16:07:44.132434Z
Summary
linux, linux-aws, linux-aws-5.4, linux-gcp, linux-gcp-5.4, linux-gkeop, linux-iot, linux-kvm, linux-oracle, linux-oracle-5.4, linux-raspi, linux-raspi-5.4 vulnerabilities
Details

It was discovered that the netlink implementation in the Linux kernel did not properly validate policies when parsing attributes in some situations. An attacker could use this to cause a denial of service (infinite recursion). (CVE-2020-36691)

Billy Jheng Bing Jhong discovered that the CIFS network file system implementation in the Linux kernel did not properly validate arguments to ioctl() in some situations. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-0168)

It was discovered that the ext4 file system implementation in the Linux kernel contained a use-after-free vulnerability. An attacker could use this to construct a malicious ext4 file system image that, when mounted, could cause a denial of service (system crash). (CVE-2022-1184)

It was discovered that some AMD x86-64 processors with SMT enabled could speculatively execute instructions using a return address from a sibling thread. A local attacker could possibly use this to expose sensitive information. (CVE-2022-27672)

William Zhao discovered that the Traffic Control (TC) subsystem in the Linux kernel did not properly handle network packet retransmission in certain situations. A local attacker could use this to cause a denial of service (kernel deadlock). (CVE-2022-4269)

It was discovered that a race condition existed in the qdisc implementation in the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-0590)

It was discovered that a race condition existed in the btrfs file system implementation in the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information. (CVE-2023-1611)

It was discovered that the APM X-Gene SoC hardware monitoring driver in the Linux kernel contained a race condition, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or expose sensitive information (kernel memory). (CVE-2023-1855)

It was discovered that the ST NCI NFC driver did not properly handle device removal events. A physically proximate attacker could use this to cause a denial of service (system crash). (CVE-2023-1990)

It was discovered that the XFS file system implementation in the Linux kernel did not properly perform metadata validation when mounting certain images. An attacker could use this to specially craft a file system image that, when mounted, could cause a denial of service (system crash). (CVE-2023-2124)

It was discovered that the SLIMpro I2C device driver in the Linux kernel did not properly validate user-supplied data in some situations, leading to an out-of-bounds write vulnerability. A privileged attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-2194)

It was discovered that a race condition existed in the TLS subsystem in the Linux kernel, leading to a use-after-free or a null pointer dereference vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-28466)

It was discovered that the DA9150 charger driver in the Linux kernel did not properly handle device removal, leading to a user-after free vulnerability. A physically proximate attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-30772)

It was discovered that the btrfs file system implementation in the Linux kernel did not properly handle error conditions in some situations, leading to a use-after-free vulnerability. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2023-3111)

It was discovered that the Ricoh R5C592 MemoryStick card reader driver in the Linux kernel contained a race condition during module unload, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-3141)

It was discovered that the Qualcomm EMAC ethernet driver in the Linux kernel did not properly handle device removal, leading to a user-after free vulnerability. A physically proximate attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-33203)

References

Affected packages

Ubuntu:Pro:18.04:LTS / linux-aws-5.4

Package

Name
linux-aws-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1107.115~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-cloud-tools-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-aws-5.4-cloud-tools-5.4.0-1107": "5.4.0-1107.115~18.04.1",
            "linux-image-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-image-aws-edge": "5.4.0.1107.85",
            "linux-headers-aws": "5.4.0.1107.85",
            "linux-buildinfo-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-aws": "5.4.0.1107.85",
            "linux-image-aws": "5.4.0.1107.85",
            "linux-headers-aws-edge": "5.4.0.1107.85",
            "linux-headers-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-modules-extra-aws-edge": "5.4.0.1107.85",
            "linux-modules-extra-aws": "5.4.0.1107.85",
            "linux-tools-aws-edge": "5.4.0.1107.85",
            "linux-tools-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-aws-5.4-tools-5.4.0-1107": "5.4.0-1107.115~18.04.1",
            "linux-modules-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-aws-edge": "5.4.0.1107.85",
            "linux-image-unsigned-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-modules-extra-5.4.0-1107-aws": "5.4.0-1107.115~18.04.1",
            "linux-aws-5.4-headers-5.4.0-1107": "5.4.0-1107.115~18.04.1",
            "linux-tools-aws": "5.4.0.1107.85"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-gcp-5.4

Package

Name
linux-gcp-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1110.119~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-tools-gcp": "5.4.0.1110.86",
            "linux-buildinfo-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1",
            "linux-modules-extra-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1",
            "linux-gcp-5.4-headers-5.4.0-1110": "5.4.0-1110.119~18.04.1",
            "linux-tools-gcp-edge": "5.4.0.1110.86",
            "linux-gcp": "5.4.0.1110.86",
            "linux-headers-gcp-edge": "5.4.0.1110.86",
            "linux-image-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1",
            "linux-image-gcp-edge": "5.4.0.1110.86",
            "linux-headers-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1",
            "linux-headers-gcp": "5.4.0.1110.86",
            "linux-image-gcp": "5.4.0.1110.86",
            "linux-modules-extra-gcp": "5.4.0.1110.86",
            "linux-gcp-edge": "5.4.0.1110.86",
            "linux-modules-extra-gcp-edge": "5.4.0.1110.86",
            "linux-image-unsigned-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1",
            "linux-modules-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1",
            "linux-gcp-5.4-tools-5.4.0-1110": "5.4.0-1110.119~18.04.1",
            "linux-tools-5.4.0-1110-gcp": "5.4.0-1110.119~18.04.1"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-oracle-5.4

Package

Name
linux-oracle-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1106.115~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1",
            "linux-modules-extra-oracle": "5.4.0.1106.115~18.04.78",
            "linux-modules-extra-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-headers-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1",
            "linux-oracle-5.4-tools-5.4.0-1106": "5.4.0-1106.115~18.04.1",
            "linux-signed-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-oracle-5.4-headers-5.4.0-1106": "5.4.0-1106.115~18.04.1",
            "linux-tools-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1",
            "linux-modules-extra-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1",
            "linux-tools-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-oracle": "5.4.0.1106.115~18.04.78",
            "linux-signed-oracle": "5.4.0.1106.115~18.04.78",
            "linux-signed-image-oracle": "5.4.0.1106.115~18.04.78",
            "linux-image-unsigned-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1",
            "linux-modules-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1",
            "linux-headers-oracle": "5.4.0.1106.115~18.04.78",
            "linux-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-headers-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-signed-image-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-image-oracle-edge": "5.4.0.1106.115~18.04.78",
            "linux-tools-oracle": "5.4.0.1106.115~18.04.78",
            "linux-image-oracle": "5.4.0.1106.115~18.04.78",
            "linux-image-5.4.0-1106-oracle": "5.4.0-1106.115~18.04.1"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / linux-raspi-5.4

Package

Name
linux-raspi-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1091.102~18.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-tools-5.4.0-1091-raspi": "5.4.0-1091.102~18.04.1",
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1091.88",
            "linux-headers-5.4.0-1091-raspi": "5.4.0-1091.102~18.04.1",
            "linux-modules-5.4.0-1091-raspi": "5.4.0-1091.102~18.04.1",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1091.88",
            "linux-raspi-5.4-headers-5.4.0-1091": "5.4.0-1091.102~18.04.1",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1091.88",
            "linux-image-raspi-hwe-18.04": "5.4.0.1091.88",
            "linux-raspi-hwe-18.04": "5.4.0.1091.88",
            "linux-buildinfo-5.4.0-1091-raspi": "5.4.0-1091.102~18.04.1",
            "linux-raspi-5.4-tools-5.4.0-1091": "5.4.0-1091.102~18.04.1",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1091.88",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1091.88",
            "linux-image-5.4.0-1091-raspi": "5.4.0-1091.102~18.04.1",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1091.88"
        }
    ]
}

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-156.173

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-156-generic-lpae": "5.4.0-156.173",
            "linux-generic-hwe-18.04": "5.4.0.156.152",
            "linux-headers-oem": "5.4.0.156.152",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.156.152",
            "linux-lowlatency-hwe-18.04": "5.4.0.156.152",
            "linux-modules-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-cloud-tools-lowlatency": "5.4.0.156.152",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.156.152",
            "linux-cloud-tools-virtual": "5.4.0.156.152",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.156.152",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.156.152",
            "linux-headers-generic-hwe-18.04": "5.4.0.156.152",
            "linux-generic-lpae-hwe-18.04": "5.4.0.156.152",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.156.152",
            "linux-tools-virtual": "5.4.0.156.152",
            "linux-oem-osp1-tools-host": "5.4.0.156.152",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.156.152",
            "linux-tools-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-image-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-cloud-tools-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-image-extra-virtual": "5.4.0.156.152",
            "linux-oem": "5.4.0.156.152",
            "linux-source": "5.4.0.156.152",
            "linux-cloud-tools-5.4.0-156-generic": "5.4.0-156.173",
            "linux-image-virtual": "5.4.0.156.152",
            "linux-cloud-tools-generic": "5.4.0.156.152",
            "linux-tools-generic": "5.4.0.156.152",
            "linux-modules-extra-5.4.0-156-generic": "5.4.0-156.173",
            "linux-headers-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-generic-lpae": "5.4.0.156.152",
            "linux-tools-5.4.0-156": "5.4.0-156.173",
            "linux-virtual": "5.4.0.156.152",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-5.4.0-156-generic-lpae": "5.4.0-156.173",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.156.152",
            "linux-crashdump": "5.4.0.156.152",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.156.152",
            "linux-generic": "5.4.0.156.152",
            "linux-headers-5.4.0-156": "5.4.0-156.173",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.156.152",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.156.152",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.156.152",
            "linux-generic-hwe-18.04-edge": "5.4.0.156.152",
            "linux-headers-generic-lpae": "5.4.0.156.152",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-generic-lpae": "5.4.0.156.152",
            "linux-tools-lowlatency": "5.4.0.156.152",
            "linux-headers-5.4.0-156-generic-lpae": "5.4.0-156.173",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.156.152",
            "linux-cloud-tools-common": "5.4.0-156.173",
            "linux-headers-oem-osp1": "5.4.0.156.152",
            "linux-buildinfo-5.4.0-156-generic-lpae": "5.4.0-156.173",
            "linux-cloud-tools-5.4.0-156": "5.4.0-156.173",
            "linux-libc-dev": "5.4.0-156.173",
            "linux-source-5.4.0": "5.4.0-156.173",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.156.152",
            "linux-doc": "5.4.0-156.173",
            "linux-headers-virtual-hwe-18.04": "5.4.0.156.152",
            "linux-buildinfo-5.4.0-156-generic": "5.4.0-156.173",
            "linux-tools-oem-osp1": "5.4.0.156.152",
            "linux-oem-osp1": "5.4.0.156.152",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.156.152",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-unsigned-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-headers-generic": "5.4.0.156.152",
            "linux-tools-oem": "5.4.0.156.152",
            "linux-headers-lowlatency": "5.4.0.156.152",
            "linux-oem-tools-host": "5.4.0.156.152",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.156.152",
            "linux-headers-virtual": "5.4.0.156.152",
            "linux-modules-5.4.0-156-generic": "5.4.0-156.173",
            "linux-modules-5.4.0-156-generic-lpae": "5.4.0-156.173",
            "linux-image-oem": "5.4.0.156.152",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.156.152",
            "linux-virtual-hwe-18.04": "5.4.0.156.152",
            "linux-image-unsigned-5.4.0-156-generic": "5.4.0-156.173",
            "linux-buildinfo-5.4.0-156-lowlatency": "5.4.0-156.173",
            "linux-tools-host": "5.4.0-156.173",
            "linux-image-lowlatency": "5.4.0.156.152",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-5.4.0-156-generic": "5.4.0-156.173",
            "linux-virtual-hwe-18.04-edge": "5.4.0.156.152",
            "linux-headers-5.4.0-156-generic": "5.4.0-156.173",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.156.152",
            "linux-tools-5.4.0-156-generic": "5.4.0-156.173",
            "linux-image-virtual-hwe-18.04": "5.4.0.156.152",
            "linux-tools-generic-lpae": "5.4.0.156.152",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.156.152",
            "linux-image-oem-osp1": "5.4.0.156.152",
            "linux-tools-virtual-hwe-18.04": "5.4.0.156.152",
            "linux-image-generic-hwe-18.04": "5.4.0.156.152",
            "linux-tools-common": "5.4.0-156.173",
            "linux-tools-generic-hwe-18.04": "5.4.0.156.152",
            "linux-image-generic": "5.4.0.156.152",
            "linux-lowlatency": "5.4.0.156.152",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.156.152",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.156.152"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1107.115

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-unsigned-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-image-aws-lts-20.04": "5.4.0.1107.104",
            "linux-modules-extra-aws-lts-20.04": "5.4.0.1107.104",
            "linux-aws-headers-5.4.0-1107": "5.4.0-1107.115",
            "linux-aws-lts-20.04": "5.4.0.1107.104",
            "linux-tools-aws-lts-20.04": "5.4.0.1107.104",
            "linux-buildinfo-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-headers-aws-lts-20.04": "5.4.0.1107.104",
            "linux-tools-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-headers-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-aws-cloud-tools-5.4.0-1107": "5.4.0-1107.115",
            "linux-modules-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-modules-extra-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-cloud-tools-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-image-5.4.0-1107-aws": "5.4.0-1107.115",
            "linux-aws-tools-5.4.0-1107": "5.4.0-1107.115"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1110.119

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-modules-extra-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-image-gcp-lts-20.04": "5.4.0.1110.112",
            "linux-modules-extra-gcp-lts-20.04": "5.4.0.1110.112",
            "linux-image-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-headers-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-gcp-headers-5.4.0-1110": "5.4.0-1110.119",
            "linux-tools-gcp-lts-20.04": "5.4.0.1110.112",
            "linux-gcp-tools-5.4.0-1110": "5.4.0-1110.119",
            "linux-image-unsigned-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-headers-gcp-lts-20.04": "5.4.0.1110.112",
            "linux-tools-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-modules-5.4.0-1110-gcp": "5.4.0-1110.119",
            "linux-gcp-lts-20.04": "5.4.0.1110.112"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gkeop

Package

Name
linux-gkeop

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1074.78

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-gkeop-5.4": "5.4.0.1074.72",
            "linux-headers-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-gkeop-5.4": "5.4.0.1074.72",
            "linux-image-gkeop-5.4": "5.4.0.1074.72",
            "linux-tools-gkeop": "5.4.0.1074.72",
            "linux-cloud-tools-gkeop": "5.4.0.1074.72",
            "linux-gkeop": "5.4.0.1074.72",
            "linux-modules-extra-gkeop": "5.4.0.1074.72",
            "linux-cloud-tools-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-buildinfo-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-gkeop-tools-5.4.0-1074": "5.4.0-1074.78",
            "linux-image-gkeop": "5.4.0.1074.72",
            "linux-tools-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-modules-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-cloud-tools-gkeop-5.4": "5.4.0.1074.72",
            "linux-gkeop-source-5.4.0": "5.4.0-1074.78",
            "linux-modules-extra-gkeop-5.4": "5.4.0.1074.72",
            "linux-gkeop-cloud-tools-5.4.0-1074": "5.4.0-1074.78",
            "linux-image-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-image-unsigned-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-tools-gkeop-5.4": "5.4.0.1074.72",
            "linux-gkeop-headers-5.4.0-1074": "5.4.0-1074.78",
            "linux-modules-extra-5.4.0-1074-gkeop": "5.4.0-1074.78",
            "linux-headers-gkeop": "5.4.0.1074.72"
        }
    ]
}

Ubuntu:20.04:LTS / linux-iot

Package

Name
linux-iot

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1019.20

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-iot-tools-common": "5.4.0-1019.20",
            "linux-modules-5.4.0-1019-iot": "5.4.0-1019.20",
            "linux-image-5.4.0-1019-iot": "5.4.0-1019.20",
            "linux-tools-iot": "5.4.0.1019.17",
            "linux-buildinfo-5.4.0-1019-iot": "5.4.0-1019.20",
            "linux-iot-tools-5.4.0-1019": "5.4.0-1019.20",
            "linux-headers-iot": "5.4.0.1019.17",
            "linux-iot-headers-5.4.0-1019": "5.4.0-1019.20",
            "linux-iot": "5.4.0.1019.17",
            "linux-image-iot": "5.4.0.1019.17",
            "linux-tools-5.4.0-1019-iot": "5.4.0-1019.20",
            "linux-headers-5.4.0-1019-iot": "5.4.0-1019.20",
            "linux-image-unsigned-5.4.0-1019-iot": "5.4.0-1019.20"
        }
    ]
}

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1096.102

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "5.4.0.1096.91",
            "linux-buildinfo-5.4.0-1096-kvm": "5.4.0-1096.102",
            "linux-tools-5.4.0-1096-kvm": "5.4.0-1096.102",
            "linux-kvm-tools-5.4.0-1096": "5.4.0-1096.102",
            "linux-kvm-headers-5.4.0-1096": "5.4.0-1096.102",
            "linux-tools-kvm": "5.4.0.1096.91",
            "linux-kvm": "5.4.0.1096.91",
            "linux-image-5.4.0-1096-kvm": "5.4.0-1096.102",
            "linux-modules-5.4.0-1096-kvm": "5.4.0-1096.102",
            "linux-headers-5.4.0-1096-kvm": "5.4.0-1096.102",
            "linux-image-kvm": "5.4.0.1096.91",
            "linux-image-unsigned-5.4.0-1096-kvm": "5.4.0-1096.102"
        }
    ]
}

Ubuntu:20.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1106.115

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1106-oracle": "5.4.0-1106.115",
            "linux-image-oracle-lts-20.04": "5.4.0.1106.99",
            "linux-image-unsigned-5.4.0-1106-oracle": "5.4.0-1106.115",
            "linux-headers-5.4.0-1106-oracle": "5.4.0-1106.115",
            "linux-headers-oracle-lts-20.04": "5.4.0.1106.99",
            "linux-modules-5.4.0-1106-oracle": "5.4.0-1106.115",
            "linux-oracle-lts-20.04": "5.4.0.1106.99",
            "linux-oracle-headers-5.4.0-1106": "5.4.0-1106.115",
            "linux-oracle-tools-5.4.0-1106": "5.4.0-1106.115",
            "linux-modules-extra-5.4.0-1106-oracle": "5.4.0-1106.115",
            "linux-tools-oracle-lts-20.04": "5.4.0.1106.99",
            "linux-tools-5.4.0-1106-oracle": "5.4.0-1106.115",
            "linux-image-5.4.0-1106-oracle": "5.4.0-1106.115"
        }
    ]
}

Ubuntu:20.04:LTS / linux-raspi

Package

Name
linux-raspi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1091.102

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi2-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-tools-5.4.0-1091-raspi": "5.4.0-1091.102",
            "linux-headers-5.4.0-1091-raspi": "5.4.0-1091.102",
            "linux-headers-raspi": "5.4.0.1091.121",
            "linux-image-raspi2": "5.4.0.1091.121",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-modules-5.4.0-1091-raspi": "5.4.0-1091.102",
            "linux-buildinfo-5.4.0-1091-raspi": "5.4.0-1091.102",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1091.121",
            "linux-raspi2-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-headers-raspi2-hwe-18.04": "5.4.0.1091.121",
            "linux-image-raspi": "5.4.0.1091.121",
            "linux-image-raspi2-hwe-18.04": "5.4.0.1091.121",
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-tools-raspi2-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-headers-raspi2-hwe-18.04-edge": "5.4.0.1091.121",
            "linux-raspi-tools-5.4.0-1091": "5.4.0-1091.102",
            "linux-tools-raspi": "5.4.0.1091.121",
            "linux-image-raspi-hwe-18.04": "5.4.0.1091.121",
            "linux-raspi2-hwe-18.04": "5.4.0.1091.121",
            "linux-raspi": "5.4.0.1091.121",
            "linux-raspi-hwe-18.04": "5.4.0.1091.121",
            "linux-headers-raspi2": "5.4.0.1091.121",
            "linux-tools-raspi2": "5.4.0.1091.121",
            "linux-raspi-headers-5.4.0-1091": "5.4.0-1091.102",
            "linux-raspi2": "5.4.0.1091.121",
            "linux-tools-raspi2-hwe-18.04": "5.4.0.1091.121",
            "linux-image-5.4.0-1091-raspi": "5.4.0-1091.102",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1091.121"
        }
    ]
}